package cn.kdan.cloud.pdf.office.product.service;

import cn.kdan.cloud.pdf.office.api.product.vo.ActivityInfoVO;
import cn.kdan.cloud.pdf.office.product.entity.ActivityInformation;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author ComPDFKit-WPH 2023-01-10
 */
public interface ActivityInformationService extends IService<ActivityInformation> {
    /**
     * 获取活动信息
     *
     * @param type 活动类型
     * @return 活动信息
     */
    ActivityInfoVO getActivityInfoByType(String type);

    /**
     * 获取活动信息
     *
     * @param ActivityId ActivityId
     * @return ActivityInfoVO
     */
    ActivityInfoVO getActivityInfoByActivityId(String ActivityId);
}